﻿from tkinter import *
from tkinter import ttk

## Création de la fonction de conversion
def calculer(event):
    valeur = float(champ_valeur.get())
    i = list_initiales.index(ACTIVE)
    j = list_finales.index(ACTIVE)
    n = m.index("current")+1
# Formule à compléter :
    résultat = valeur*10**((...-...)*...)

    result['text'] = round(résultat,5)

##Création de la fonction d'affichage des unités
def afficher_unités(event) :
    if m.index("current") == 0 :
        list_initiales.delete(0,END)
        list_initiales.insert(0, "km")
        list_initiales.insert(1, "hm")
        list_initiales.insert(2, "dam")
        list_initiales.insert(3, "m")
        list_initiales.insert(4, "dm")
        list_initiales.insert(5, "cm")
        list_initiales.insert(6, "mm")
        list_finales.delete(0,END)
        list_finales.insert(0, "km")
        list_finales.insert(1, "hm")
        list_finales.insert(2, "dam")
        list_finales.insert(3, "m")
        list_finales.insert(4, "dm")
        list_finales.insert(5, "cm")
        list_finales.insert(6, "mm")
    elif m.index("current") == 1 :
        list_initiales.delete(0,END)
        list_initiales.insert(0, "km²")
        list_initiales.insert(1, "hm² ou ha")
        list_initiales.insert(2, "dam² ou a")
        list_initiales.insert(3, "m² ou ca")
        list_initiales.insert(4, "dm²")
        list_initiales.insert(5, "cm²")
        list_initiales.insert(6, "mm²")
        list_finales.delete(0,END)
        list_finales.insert(0, "km²")
        list_finales.insert(1, "hm² ou ha")
        list_finales.insert(2, "dam² ou a")
        list_finales.insert(3, "m² ou ca")
        list_finales.insert(4, "dm²")
        list_finales.insert(5, "cm²")
        list_finales.insert(6, "mm²")
    elif m.index("current") == 2 :
        list_initiales.delete(0,END)
        list_initiales.insert(0, "km" + '\u00B3')
        list_initiales.insert(1, "hm" + '\u00B3')
        list_initiales.insert(2, "dam" + '\u00B3')
        list_initiales.insert(3, "m" + '\u00B3')
        list_initiales.insert(4, "dm" + '\u00B3' + " ou L")
        list_initiales.insert(5, "cm" + '\u00B3' + " ou mL")
        list_initiales.insert(6, "mm" + '\u00B3')
        list_finales.delete(0,END)
        list_finales.insert(0, "km" + '\u00B3')
        list_finales.insert(1, "hm" + '\u00B3')
        list_finales.insert(2, "dam" + '\u00B3')
        list_finales.insert(3, "m" + '\u00B3')
        list_finales.insert(4, "dm" + '\u00B3' + " ou L")
        list_finales.insert(5, "cm" + '\u00B3' + " ou mL")
        list_finales.insert(6, "mm" + '\u00B3')

## Création des fonctions d'affichage des unités choisies
def afficher1(event):
    unite_initiales = list_initiales.get(list_initiales.curselection())
    affichage_initiales.config(text= unite_initiales)
    affichage_initiales.pack(side = RIGHT)

def afficher2(event):
    unite_finales = list_finales.get(list_finales.curselection())
    affichage_finales.config(text = unite_finales)

## Création de la Fenetre de l'application
Mafenetre = Tk()
Mafenetre.title("Convertisseur")

## Création du système d'onglets
m = ttk.Notebook(Mafenetre)
m.pack()
onglet1 = ttk.Frame(m)       ## Ajout de l'onglet 1
onglet1.pack()
onglet2 = ttk.Frame(m)       ## Ajout de l'onglet 2
onglet2.pack()
onglet3 = ttk.Frame(m)       ## Ajout de l'onglet 3
onglet3.pack()
m.add(onglet1, text='Longueurs')        ## Nom de l'onglet 1
m.add(onglet2, text='Aires')            ## Nom de l'onglet 2
m.add(onglet3, text='Volumes')          ## Nom de l'onglet 3
m.bind('<<NotebookTabChanged>>',afficher_unités)

valeur = StringVar()

## Création du cadre Frame0 :  Saisie de la valeur, affichage de l'unité initiale
Frame0 = Frame(Mafenetre, borderwidth=2,relief=GROOVE)
Frame0.pack(side=TOP, padx = 10, pady = 10, expand=True)

Label_valeur = Label(Frame0, text = 'Valeur ')
Label_valeur.config(font = ('arial', 10, 'bold'))
Label_valeur.pack(side = LEFT, padx = 5, pady = 5)

champ_valeur = Entry(Frame0, width=10, textvariable=valeur)
champ_valeur.pack(side = LEFT, padx = 5, pady = 5)

affichage_initiales = Label(Frame0)
affichage_initiales.config(font = ('arial', 10, 'bold'))

## Création du cadre Frame1 : Liste des unités initiales
Frame_initiales = Frame(Mafenetre,borderwidth=2,relief=GROOVE)
Frame_initiales.pack(side=LEFT,padx=10,pady=10)

Label_initiales = Label(Frame_initiales, text = 'Unité initiale')
Label_initiales.config(font = ('arial', 10, 'bold'))
Label_initiales.pack(side = TOP, padx = 5, pady = 5)

list_initiales = Listbox(Frame_initiales, height=2,width=10)
list_initiales.pack(side=LEFT)
list_initiales.bind('<<ListboxSelect>>', afficher1)

sbar_initiales = Scrollbar(Frame_initiales)
sbar_initiales.config(command=list_initiales.yview)
sbar_initiales.pack(side=RIGHT, fill=Y)
list_initiales.config(yscrollcommand=sbar_initiales.set)

## Création du cadre Frame2 : Liste des unités finales
Frame_finales = Frame(Mafenetre,borderwidth=2,relief=GROOVE)
Frame_finales.pack(side=RIGHT,padx=10,pady=10)

Label_finales = Label(Frame_finales, text = 'Unité finale')
Label_finales.config(font = ('arial', 10, 'bold'))
Label_finales.pack(side = TOP, padx = 5, pady = 5)

list_finales = Listbox(Frame_finales, height=2,width=10)
list_finales.bind('<<ListboxSelect>>', afficher2)
list_finales.pack(side=LEFT)

sbar_finales = Scrollbar(Frame_finales)
sbar_finales.config(command=list_finales.yview)
sbar_finales.pack(side=RIGHT, fill=Y)
list_finales.config(yscrollcommand=sbar_finales.set)

## Création du bouton Quitter l'application
Bouton1 = Button(Mafenetre, text = 'Quitter', command = Mafenetre.destroy, borderwidth=5, relief=GROOVE)
Bouton1.pack(side=BOTTOM)

## Création du cadre Frame3 : Affichage du résultat et de l'unité finale
Frame_resultat = Frame(Mafenetre, borderwidth=2, relief=GROOVE)
Frame_resultat.pack(side=BOTTOM,padx=10,pady=10)

affichage_finales = Label(Frame_resultat)
affichage_finales.config(font = ('arial', 10, 'bold'))
affichage_finales.pack(side = RIGHT)

Label_resultat = Label(Frame_resultat)
Label_resultat.config(font = ('arial', 10, 'bold'))
Label_resultat.config(text = 'Résultat :')
Label_resultat.pack(side = LEFT)

result = Label(Frame_resultat)
result.config(font = ('arial', 10, 'bold'))
result.pack(side = LEFT)


## Création du bouton valider
bouton=Button(Mafenetre, text="Valider", borderwidth=5, relief=GROOVE)
bouton.bind('<Button-1>', calculer)
bouton.pack()

m.mainloop()
Mafenetre.mainloop()

